<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE vehicle_entries (
                id					               	BIGINT GENERATED always AS IDENTITY PRIMARY KEY,

                plant_id                            BIGINT NOT NULL,

                vehicle_number                      TEXT DEFAULT NULL,
                entry_time                          TIMESTAMP,
                exit_time                           TIMESTAMP,
                duration                            INTERVAL,
                type                                TEXT DEFAULT NULL,

                created_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                created_by							TEXT DEFAULT NULL,
                updated_by							TEXT DEFAULT NULL,
                deleted_at			                TIMESTAMP,

                FOREIGN KEY (plant_id) REFERENCES plants(id)
            );
        SQL;
        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('vehicle_entries');
    }
};
